Subject: Re: linux-next: manual merge of the rr tree

From: Rusty Russell <[email-masked]>
Date: Fri, 4 Jul 2008 10:45:54 +1000

On Thursday 03 July 2008 18:19:06 Ingo Molnar wrote:
> * Stephen Rothwell <[email-masked]> wrote:
> > > The "home tree" of the commit is
> > > tip/sched/new-API-sched_setscheduler, and that's integrated to the
> > > auto-sched-next branch. If there's any update to the patch we should
> > > iterate it there.
> >
> > That would be a question for Rusty.  He may be able to split out the
> > conflicting part of his simplification patch and send it to you.  But
> > it may not be worth it.
>
> should be all OK as long as Rusty sends his patches to Linus after the
> -tip changes go upstream. (in that case the base patch will fall out of
> Rusty's Quilt queue naturally, leaving the followup change.)

That's the plan.  I'm still testing the stop_machine changes though: it's 
simpler, but seems to have increased latency slightly.   If I was completely 
sure I'd just shuffle it to Ingo.

Cheers,
Rusty.